net.sf.cglib.proxy

## Interface ProxyRefDispatcher

- All Superinterfaces:
    Callback

      public interface ProxyRefDispatcher
      extends Callback

  Dispatching `Enhancer` callback. This is the same as the `Dispatcher` except for the addition of an argument which references the proxy object.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `loadObject(java.lang.Object proxy)` Return the object which the original method invocation should be dispatched.

- - ### Method Detail

    - #### loadObject

          java.lang.Object loadObject(java.lang.Object proxy)
                                      throws java.lang.Exception

      Return the object which the original method invocation should be dispatched. This method is called for every method invocation.
      Parameters:
        `proxy` - a reference to the proxy (generated) object
      Returns:
        an object that can invoke the method
      Throws:
        `java.lang.Exception`

Copyright (c) 2001 - Apache Software Foundation